Subject: Re: bug#44118: 28.0.50; Unwanted switch of foreground colour in *shell* buffer

From: Peter Dyballa <[email-masked]>
Date: Sat, 19 Dec 2020 10:53:02 +0100

> Am 19.12.2020 um 00:18 schrieb Lars Ingebrigtsen <[email-masked]>:
> 
> I've installed a fresh Catalina VM with Macports, and the claim that the
> "port" command doesn't issue any ANSI codes while doing this stuff is
> incorrect.  I instrumented the bit in ansi-color.el that does the
> fontification, and there's a whole bunch of ANSI-related sequences:
> 
> (It's switching the colours to inverse video here, I guess...)

These are progress bars that try to display how much of an archive has been downloaded yet. This feature seems to work fine…

> 
> So I guess I'll just have to wait a while until something is
> upgradeable...

Approximately once per month GNU Emacs, development edition, gets updated. But there is no binary depending on it… ('port echo dependentof:<port name>' shows which other ports depend on the given one)

--
Greetings

  Pete

These are my principles and if you don't like them... well, I have others.
				- Groucho Marx